org.apache.tinkerpop.gremlin.hadoop.process.computer

## Class GraphFilterRecordReader

- java.lang.Object
- - <any>
  - - org.apache.tinkerpop.gremlin.hadoop.process.computer.GraphFilterRecordReader

-     public final class GraphFilterRecordReader
      extends <any>

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GraphFilterRecordReader()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `NullWritable` | `getCurrentKey()`
    `VertexWritable` | `getCurrentValue()`
    `float` | `getProgress()`
    `void` | `initialize(InputSplit inputSplit, TaskAttemptContext taskAttemptContext)`
    `boolean` | `nextKeyValue()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GraphFilterRecordReader

          public GraphFilterRecordReader()

  - ### Method Detail

    - #### initialize

          public void initialize(InputSplit inputSplit,
                                 TaskAttemptContext taskAttemptContext)
                          throws IOException,
                                 InterruptedException

      Throws:
        `IOException`
        `InterruptedException`

    - #### nextKeyValue

          public boolean nextKeyValue()
                               throws IOException,
                                      InterruptedException

      Throws:
        `IOException`
        `InterruptedException`

    - #### getCurrentKey

          public NullWritable getCurrentKey()
                                     throws IOException,
                                            InterruptedException

      Throws:
        `IOException`
        `InterruptedException`

    - #### getCurrentValue

          public VertexWritable getCurrentValue()
                                         throws IOException,
                                                InterruptedException

      Throws:
        `IOException`
        `InterruptedException`

    - #### getProgress

          public float getProgress()
                            throws IOException,
                                   InterruptedException

      Throws:
        `IOException`
        `InterruptedException`

    - #### close

          public void close()
                     throws IOException

      Throws:
        `IOException`

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.